<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout2}">
<head>
    <meta charset="UTF-8">
    <title>Payroll Update</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
                <h1 class="m-0" th:text="${employess.getCompanies().getCompanyName()}">Payroll</h1>
            </div><!-- /.col -->
            <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                    <li class="breadcrumb-item"><a href="#">Payroll</a></li>
                                        <li class="breadcrumb-item active">Update</li>
                </ol>
            </div><!-- /.col -->
        </div><!-- /.row -->
    </div>
</section>

<section layout:fragment="main" class="content">
    <div class="container-fluid">
    <div class="row">
        <div class="card card-default">
            <div class = "card-header with-border">

                <a th:href="@{/payroll/update/new}" class="btn btn-default" title="New"><i class="ion-plus"></i> New</a>

            </div>
            <div class = "card-body">

                <div class="row">

                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="bulan" class="col-sm-2 control-label">Month Period</label>

                            <div class="col-sm-10">
                                <select class="form-control select2bs4" name="bulan" id="bulan" style="width: 100%;">
                                    <option th:each="data : ${bulan}"
                                            th:text="${data.getNama()}"
                                            th:value="${data.id}">sdasd</option>
                                </select>
                            </div>
                        </div>

<!--                        <div class="form-group">-->
<!--                            <label>Status Mesin</label>-->
<!--                            <select class="form-control select2bs4" name="statusFungsi" id="statusFungsi" th:field="*{statusFungsi}" style="width: 100%;">-->
<!--                                <option th:each="data : ${listStatusMesin}"-->
<!--                                        th:text="${data}"-->
<!--                                        th:value="${data}">sdasd</option>-->
<!--                            </select>-->
<!--                        </div>-->
                    </div>

                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="tahun" class="col-sm-2 control-label">Year Period</label>

                            <div class="col-sm-10">
                                <select class="form-control select2bs4" name="tahun" id="tahun" style="width: 100%;">
                                    <option th:each="data : ${tahun}"
                                            th:text="${data.getTahun()}"
                                            th:value="${data.id}">sdasd</option>
                                </select>
                            </div>
                        </div>
                    </div>


            </div>
            <div class = "card-footer table-responsive">

                <table class="table table table-bordered table-striped">
                    <tr>
                        <th style="width: 10px">#</th>
                        <th>Transaction ID</th>
                        <th>Transaction Type</th>
                        <th>Component Name</th>
                        <th>Component Type</th>
                        <th>Effective Date</th>
                        <th style="width: 40px"></th>
                    </tr>
                    <tr th:each="dataEmployeePayrollComponentHistory,row : ${listEmployeePayrollComponentHistory}">
                        <td th:text="${(row.index + 1) + (listEmployeePayrollComponentHistory.number * listEmployeePayrollComponentHistory.size)}">1.</td>

                        <td th:text="${dataEmployeePayrollComponentHistory.getTransactionId()}">BEASISWA</td>
                        <td th:text="${dataEmployeePayrollComponentHistory.getTipe()}">BEASISWA</td>
                        <td th:text="${dataEmployeePayrollComponentHistory.getPayrollComponent().getName()}" title="edit"></td>
                        <td th:text="${dataEmployeePayrollComponentHistory.getPayrollComponent().getJenisComponent()}"></td>
                        <td th:text="${#temporals.format(dataEmployeePayrollComponentHistory.getEffectiveDate(),'dd-MMM-yyyy')}">BEASISWA</td>
                        <td>

                            <!--                                    <a th:href="@{/masterdata/position/edit(position = ${dataPosition.id})}" class="btn btn-success btn-xs">Edit</a>-->

                            <a th:href="@{/payroll/update/edit(employeePayrollComponentHistory=${dataEmployeePayrollComponentHistory.id})}" class="btn btn-primary btn-xs">
                                Edit
                            </a>
                        </td>
                    </tr>

                    <tr>
                        <th style="width: 10px">#</th>
                        <th>Transaction ID</th>
                        <th>Transaction Type</th>
                        <th>Component Name</th>
                        <th>Component Type</th>
                        <th>Effective Date</th>
                        <th style="width: 40px"></th>
                    </tr>


                </table>

                <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">
                    <li class="disabled"><a href="#" aria-label="Previous"><span
                            aria-hidden="true">&laquo;</span></a>
                    </li>
                    <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                    </li>
                </ul>

            </div>
        </div>
    </div>

    </div>
    </div>
</section>

<section layout:fragment="footer" class="script">
    <script th:src="@{/lte/plugins/datatables/jquery.dataTables.min.js}"></script>
    <script th:src="@{/lte/plugins/datatables-bs4/js/dataTables.bootstrap4.min.js}"></script>
    <script th:src="@{/lte/plugins/datatables-responsive/js/dataTables.responsive.min.js}"></script>
    <script th:src="@{/lte/plugins/datatables-responsive/js/responsive.bootstrap4.min.js}"></script>
    <script th:src="@{/lte/plugins/datatables-buttons/js/dataTables.buttons.min.js}"></script>
    <script th:src="@{/lte/plugins/datatables-buttons/js/buttons.bootstrap4.min.js}"></script>
    <script th:src="@{/lte/plugins/jszip/jszip.min.js}"></script>
    <script th:src="@{/lte/plugins/pdfmake/pdfmake.min.js}"></script>
    <script th:src="@{/lte/plugins/pdfmake/vfs_fonts.js}"></script>
    <script th:src="@{/lte/plugins/datatables-buttons/js/buttons.html5.min.js}"></script>
    <script th:src="@{/lte/plugins/datatables-buttons/js/buttons.print.min.js}"></script>
    <script th:src="@{/lte/plugins/datatables-buttons/js/buttons.colVis.min.js}"></script>
    <!--    <script th:src="@{/lte/plugins/daterangepicker/daterangepicker.js}"></script>-->
    <script>
        $(function () {
            $("#example1").DataTable({
                "responsive": true, "lengthChange": false, "autoWidth": false,
                "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"]
            }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
            $('#example2').DataTable({
                "paging": true,
                "lengthChange": false,
                "searching": true,
                "ordering": true,
                "info": true,
                "autoWidth": false,
                "responsive": true,
            });
            $("#example3").DataTable({
                "responsive": true, "lengthChange": false, "autoWidth": false,
                "buttons": ["copy", "csv", "excel", "pdf", "print"]
            }).buttons().container().appendTo('#example3_wrapper .col-md-6:eq(0)');
        });
    </script>
    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Initialize Select2 Elements
            $('.select2bs4').select2({
                theme: 'bootstrap4'
            })

            //Datemask dd/mm/yyyy
            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
            //Datemask2 mm/dd/yyyy
            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
            //Money Euro
            $('[data-mask]').inputmask()

            //Date picker
            $('#tanggalMulaiBerlakuString').datetimepicker({
                format: 'YYYY-MM-DD'
            });

            $('#subuhDariString').datetimepicker({
                format: 'HH:mm:ss'
            });
            $('#subuhSampaiString').datetimepicker({
                format: 'HH:mm:ss'
            });
            $('#zuhurDariString').datetimepicker({
                format: 'HH:mm:ss'
            });
            $('#zuhurSampaiString').datetimepicker({
                format: 'HH:mm:ss'
            });
            $('#asharDariString').datetimepicker({
                format: 'HH:mm:ss'
            });
            $('#asharSampaiString').datetimepicker({
                format: 'HH:mm:ss'
            });
            $('#magribDariString').datetimepicker({
                format: 'HH:mm:ss'
            });
            $('#magribSampaiString').datetimepicker({
                format: 'HH:mm:ss'
            });
            $('#isyaDariString').datetimepicker({
                format: 'HH:mm:ss'
            });
            $('#isyaSampaiString').datetimepicker({
                format: 'HH:mm:ss'
            });
            $('#jamMalamSampaiString').datetimepicker({
                format: 'HH:mm:ss'
            });


            //Date and time picker
            $('#reservationdatetime').datetimepicker({ icons: { time: 'far fa-clock' } });

            //Date range picker
            $('#reservation').daterangepicker()
            //Date range picker with time picker
            $('#reservationtime1').daterangepicker({
                timePicker: true,
                timePickerIncrement: 30,
                locale: {
                    format: 'MM/DD/YYYY hh:mm A'
                }
            })
            //Date range as a button
            $('#daterange-btn').daterangepicker(
                {
                    ranges   : {
                        'Today'       : [moment(), moment()],
                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                    },
                    startDate: moment().subtract(29, 'days'),
                    endDate  : moment()
                },
                function (start, end) {
                    $('#reportrange span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
                }
            )

            //Timepicker
            $('#timepicker').datetimepicker({
                format: 'hh:mm'
            })

            //Bootstrap Duallistbox
            $('.duallistbox').bootstrapDualListbox()

            //Colorpicker
            $('.my-colorpicker1').colorpicker()
            //color picker with addon
            $('.my-colorpicker2').colorpicker()

            $('.my-colorpicker2').on('colorpickerChange', function(event) {
                $('.my-colorpicker2 .fa-square').css('color', event.color.toString());
            })

            $("input[data-bootstrap-switch]").each(function(){
                $(this).bootstrapSwitch('state', $(this).prop('checked'));
            })

        })
        // BS-Stepper Init
        document.addEventListener('DOMContentLoaded', function () {
            window.stepper = new Stepper(document.querySelector('.bs-stepper'))
        })

        // DropzoneJS Demo Code Start
        Dropzone.autoDiscover = false

        // Get the template HTML and remove it from the doumenthe template HTML and remove it from the doument
        var previewNode = document.querySelector("#template")
        previewNode.id = ""
        var previewTemplate = previewNode.parentNode.innerHTML
        previewNode.parentNode.removeChild(previewNode)

        var myDropzone = new Dropzone(document.body, { // Make the whole body a dropzone
            url: "/target-url", // Set the url
            thumbnailWidth: 80,
            thumbnailHeight: 80,
            parallelUploads: 20,
            previewTemplate: previewTemplate,
            autoQueue: false, // Make sure the files aren't queued until manually added
            previewsContainer: "#previews", // Define the container to display the previews
            clickable: ".fileinput-button" // Define the element that should be used as click trigger to select files.
        })

        myDropzone.on("addedfile", function(file) {
            // Hookup the start button
            file.previewElement.querySelector(".start").onclick = function() { myDropzone.enqueueFile(file) }
        })

        // Update the total progress bar
        myDropzone.on("totaluploadprogress", function(progress) {
            document.querySelector("#total-progress .progress-bar").style.width = progress + "%"
        })

        myDropzone.on("sending", function(file) {
            // Show the total progress bar when upload starts
            document.querySelector("#total-progress").style.opacity = "1"
            // And disable the start button
            file.previewElement.querySelector(".start").setAttribute("disabled", "disabled")
        })

        // Hide the total progress bar when nothing's uploading anymore
        myDropzone.on("queuecomplete", function(progress) {
            document.querySelector("#total-progress").style.opacity = "0"
        })

        // Setup the buttons for all transfers
        // The "add files" button doesn't need to be setup because the config
        // `clickable` has already been specified.
        document.querySelector("#actions .start").onclick = function() {
            myDropzone.enqueueFiles(myDropzone.getFilesWithStatus(Dropzone.ADDED))
        }
        document.querySelector("#actions .cancel").onclick = function() {
            myDropzone.removeAllFiles(true)
        }
        // DropzoneJS Demo Code End
    </script>
</section>
</body>
</html>